::::::::::::::::::::::::::::::::::::::::::::::::::::
::Create a log file containing todays date
::LogPath is the path to the folder where the log file will be saved
::LogFileName is a descriptive name that will be added after the date
::LogFileExt is the extension to be used 
::First get the date into a variable. Then convert the '/' to '-' so
::the '/' won't be mistaken as a command line switch
::if the file exists, a blank line and a separator line of equal signs
::will be written at the end of the file in case the script runs more than
::once a day.
::::::::::::::::::::::::::::::::::::::::::::::::::::
echo off
cls
echo.
echo.
set /p IPAddress= Please Enter you routers IP address: 
echo.
set /p Localonly= Perform Local tests only, enter y or n: 
echo.
set /p XLpacket= Skip XL packet test(64k), enter y or n: 
echo.
set /p WaitTime= Max ping wait time (ms), recommend 500-2500: 
echo.
setlocal
set LogFileExt=.txt
set LogFileName=test
::use set MyLogFile=%date:~4% instead to remove the day of the week

set MyLogFile=%date%
set MyLogFile=%MyLogFile:/=-%
set MyLogFile=%LogFileName%_%MyLogFile%%LogFileExt%
echo A log file will be written to %MyLogFile%
echo It contains both the settings and results
echo This test may take some time.
echo.

::Note that the quotes are REQUIRED around %MyLogFIle% in case it contains a space

echo.%Date% >"%MyLogFile%"
echo.%Time% >>"%MyLogFile%"
echo. >>"%MyLogFile%"
echo.Your Ip address %IPAddress% >>"%MyLogFile%"
echo.Scan local only: %Localonly% >>"%MyLogFile%"
echo.Skip XL packets (64k): %XLPacket% >>"%MyLogFile%"
echo.Max ping wait time: %WaitTime% >>"%MyLogFile%"
:startbatch


echo ----------------------------------------------------- >>"%MyLogFile%"
echo. >>"%MyLogFile%"
echo Ping Router with default packet size >>"%MyLogFile%"
ping %IPAddress% -n 25 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Router with 1k packet size >>"%MyLogFile%"
ping %IPAddress% -n 25 -l 1024 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Router with 2k packet size >>"%MyLogFile%"
ping %IPAddress% -n 25 -l 2048 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Router with 4k packet size >>"%MyLogFile%"
ping %IPAddress% -n 25 -l 4096 -w %WaitTime% >>"%MyLogFile%"

if %XLpacket% == y (goto :skipXL1)
echo. >>"%MyLogFile%"
echo Ping Router with 64k packet size >>"%MyLogFile%"
ping %IPAddress% -n 25 -l 65500 -w %WaitTime% >>"%MyLogFile%"
:skipXL1

if %Localonly% == y (goto :eof)
echo. >>"%MyLogFile%"
echo ----------------------------------------------------- >>"%MyLogFile%"
echo. >>"%MyLogFile%"
echo Ping Google UK with default packet size >>"%MyLogFile%"
ping www.google.co.uk -n 25 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Google UK with 1k packet size >>"%MyLogFile%"
ping www.google.co.uk -n 25 -l 1024 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Google UK with 2k packet size >>"%MyLogFile%"
ping www.google.co.uk -n 25 -l 2048 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Google UK with 4k packet size >>"%MyLogFile%"
ping www.google.co.uk -n 25 -l 4096 -w %WaitTime% >>"%MyLogFile%"

if %XLpacket% == y (goto :skipXL2)
echo. >>"%MyLogFile%"
echo Ping Google UK with 64k packet size >>"%MyLogFile%"
ping www.google.co.uk -n 25 -l 65500 -w %WaitTime% >>"%MyLogFile%"
:skipXL2

echo. >>"%MyLogFile%"
echo ----------------------------------------------------- >>"%MyLogFile%"
echo. >>"%MyLogFile%"
echo Ping Speedtest.net with default packet size >>"%MyLogFile%"
ping www.speedtest.net -n 25 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Speedtest.net with 1k packet size >>"%MyLogFile%"
ping www.speedtest.net -n 25 -l 1024 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Speedtest.net with 2k packet size >>"%MyLogFile%"
ping www.speedtest.net -n 25 -l 2048 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping Speedtest.net with 4k packet size >>"%MyLogFile%"
ping www.speedtest.net -n 25 -l 4096 -w %WaitTime% >>"%MyLogFile%"

if %XLpacket% == y (goto :skipXL3)
echo. >>"%MyLogFile%"
echo Ping Speedtest.net with 64k packet size >>"%MyLogFile%"
ping www.speedtest.net -n 25 -l 65500 -w %WaitTime% >>"%MyLogFile%"
:skipXL3

echo. >>"%MyLogFile%"
echo ----------------------------------------------------- >>"%MyLogFile%"
echo. >>"%MyLogFile%"
echo Ping YouTube with default packet size >>"%MyLogFile%"
ping www.youtube.com -n 25 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping YouTube with 1k packet size >>"%MyLogFile%"
ping www.youtube.com -n 25 -l 1024 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping YouTube with 2k packet size >>"%MyLogFile%"
ping www.youtube.com -n 25 -l 2048 -w %WaitTime% >>"%MyLogFile%"

echo. >>"%MyLogFile%"
echo Ping YouTube with 4k packet size >>"%MyLogFile%"
ping www.youtube.com -n 25 -l 4096 -w %WaitTime% >>"%MyLogFile%"

if %XLpacket% == y (goto :skipXL4)
echo. >>"%MyLogFile%"
echo Ping YouTube with 64k packet size >>"%MyLogFile%"
ping www.youtube.com -n 25 -l 65500 -w %WaitTime% >>"%MyLogFile%"
:skipXL4

:eof
echo. >>"%MyLogFile%"
echo. >>"%MyLogFile%"
echo.%Time% >>"%MyLogFile%"